### Home Classes Methods

### In Files

- kyotocabinet.rb

### Namespace

- CLASS KyotoCabinet::Cursor
- CLASS KyotoCabinet::DB
- CLASS KyotoCabinet::Error
- CLASS KyotoCabinet::FileProcessor
- CLASS KyotoCabinet::Visitor

### Methods

- #atof
- #atoi
- #atoix
- #conv_str
- #hash_fnv
- #hash_murmur
- #levdist

### Class/Module Index

Quicksearch

- KyotoCabinet
- KyotoCabinet::Cursor
- KyotoCabinet::DB
- KyotoCabinet::Error
- KyotoCabinet::FileProcessor
- KyotoCabinet::Visitor

No matching classes.

# KyotoCabinet

Namespace of Kyoto Cabinet.

### Constants

VERSION

  The version information

### Public Instance Methods

atof(str) click to toggle source

Convert a string to a real number.

- @param str the string.

- @return the real number. If the string does not contain numeric expression, 0.0 is returned.

    # File kyotocabinet.rb, line 42
    def atof(str)
      # (native code)
    end

atoi(str) click to toggle source

Convert a string to an integer.

- @param str the string.

- @return the integer. If the string does not contain numeric expression, 0 is returned.

    # File kyotocabinet.rb, line 30
    def atoi(str)
      # (native code)
    end

atoix(str) click to toggle source

Convert a string with a metric prefix to an integer.

- @param str the string, which can be trailed by a binary metric prefix. "K", "M", "G", "T", "P", and "E" are supported. They are case-insensitive.

- @return the integer. If the string does not contain numeric expression, 0 is returned. If the integer overflows the domain, INT64_MAX or INT64_MIN is returned according to the sign.

    # File kyotocabinet.rb, line 36
    def atoix(str)
      # (native code)
    end

conv_str(obj) click to toggle source

Convert any object to a string.

- @param obj the object.

- @return the result string.

    # File kyotocabinet.rb, line 24
    def conv_str(obj)
      # (native code)
    end

hash_fnv(str) click to toggle source

Get the hash value of a string by FNV hashing.

- @param str the string.

- @return the hash value.

    # File kyotocabinet.rb, line 54
    def hash_fnv(str)
      # (native code)
    end

hash_murmur(str) click to toggle source

Get the hash value of a string by MurMur hashing.

- @param str the string.

- @return the hash value.

    # File kyotocabinet.rb, line 48
    def hash_murmur(str)
      # (native code)
    end

levdist(a, b, utf) click to toggle source

Calculate the levenshtein distance of two strings.

- @param a one string.

- @param b the other string.

- @param utf flag to treat keys as UTF-8 strings.

- @return the levenshtein distance.

    # File kyotocabinet.rb, line 62
    def levdist(a, b, utf)
      # (native code)
    end

Generated with the Darkfish Rdoc Generator 2.